#! /bin/sh /usr/share/dpatch/dpatch-run
## 03_accept_leading_v_in_version_string.dpatch by Maximilian Wilhelm <max@rfc2324.org>
##
## DP: Let Linux::KernelSort accept a leading 'v' in the version string

@DPATCH@

--- a/lib/Linux/KernelSort.pm
+++ b/lib/Linux/KernelSort.pm
@@ -75,7 +75,7 @@
     my $self = shift;
     my $version = shift || return undef;
 
-    if ( $version !~ m/^\d+\.\d+\.\d+(-rc\d+)?(-git\d+)?(-scsi-misc\d+)?(-scsi-rc-fixes\d+)?(-mm\d+)?$/ ) {
+    if ( $version !~ m/^(v)?\d+\.\d+\.\d+(-rc\d+)?(-git\d+)?(-scsi-misc\d+)?(-scsi-rc-fixes\d+)?(-mm\d+)?$/ ) {
         if ( $self->{debug} ) { print "Invalid Kernel Version: $version\n"; }
         return 1;
     }
@@ -102,6 +102,7 @@
     }
 
     $version =~ s/\.//g;
+    $version =~ s/^v//;
     $version =~ m/^(\d+).*/;
     my $rank = $1;
 
